| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Functions
Filter.h File Reference

The processing unit of the SDK can perform point cloud generation, format conversion and other functions. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_filter * | ob_create_pointcloud_filter (ob_error **error)
| Create a PointCloud Filter.
void | ob_pointcloud_filter_set_camera_param (ob_filter *filter, ob_camera_param param, ob_error **error)
| Set the camera parameters for the PointCloud Filter.
void | ob_pointcloud_filter_set_point_format (ob_filter *filter, ob_format type, ob_error **error)
| Set the point cloud type parameters for the PointCloud Filter.
void | ob_pointcloud_filter_set_frame_align_state (ob_filter *filter, bool state, ob_error **error)
| Set the alignment state of the frames that will be input to produce the point cloud.
void | ob_pointcloud_filter_set_position_data_scale (ob_filter *filter, float scale, ob_error **error)
| Set the point cloud data scaling factor.
void | ob_pointcloud_filter_set_color_data_normalization (ob_filter *filter, bool state, ob_error **error)
| Set the point cloud color data normalization.
void | ob_pointcloud_filter_set_coordinate_system (ob_filter *filter, ob_coordinate_system_type type, ob_error **error)
| Set the point cloud coordinate system.
ob_filter * | ob_create_format_convert_filter (ob_error **error)
| Create a format convert Filter.
void | ob_format_convert_filter_set_format (ob_filter *filter, ob_convert_format type, ob_error **error)
| Set the type of format conversion for the format convert Filter.
ob_filter * | ob_create_compression_filter (ob_error **error)
| Create a compression Filter.
void | ob_compression_filter_set_compression_params (ob_filter *filter, ob_compression_mode mode, void *params, ob_error **error)
| Set the compression parameters for the compression Filter.
ob_filter * | ob_create_decompression_filter (ob_error **error)
| Create a decompression Filter.
ob_filter * | ob_create_holefilling_filter (ob_error **error)
| Create a HoleFilling Filter.
void | ob_holefilling_filter_set_mode (ob_filter *filter, ob_hole_filling_mode mode, ob_error **error)
| Set the HoleFillingFilter mode.
ob_hole_filling_mode | ob_holefilling_filter_get_mode (ob_filter *filter, ob_error **error)
| Get the HoleFillingFilter mode.
ob_filter * | ob_create_temporal_filter (ob_error **error)
| Create a Temporal Filter.
ob_float_property_range | ob_temporal_filter_get_diffscale_range (ob_filter *filter, ob_error **error)
| Get the TemporalFilter diffscale range.
void | ob_temporal_filter_set_diffscale_value (ob_filter *filter, float value, ob_error **error)
| Set the TemporalFilter diffscale value.
ob_float_property_range | ob_temporal_filter_get_weight_range (ob_filter *filter, ob_error **error)
| Get the TemporalFilter weight range.
void | ob_temporal_filter_set_weight_value (ob_filter *filter, float value, ob_error **error)
| Set the TemporalFilter weight range.
ob_filter * | ob_create_spatial_advanced_filter (ob_error **error)
| Create a spatial advanced filter.
ob_float_property_range | ob_spatial_advanced_filter_get_alpha_range (ob_filter *filter, ob_error **error)
| Get the spatial advanced filter alpha range.
ob_uint16_property_range | ob_spatial_advanced_filter_get_disp_diff_range (ob_filter *filter, ob_error **error)
| Get the spatial advanced filter disp diff range.
ob_uint16_property_range | ob_spatial_advanced_filter_get_radius_range (ob_filter *filter, ob_error **error)
| Get the spatial advanced filter radius range.
ob_int_property_range | ob_spatial_advanced_filter_get_magnitude_range (ob_filter *filter, ob_error **error)
| Get the spatial advanced filter magnitude range.
ob_spatial_advanced_filter_params | ob_spatial_advanced_filter_get_filter_params (ob_filter *filter, ob_error **error)
| Get the spatial advanced filter params.
void | ob_spatial_advanced_filter_set_filter_params (ob_filter *filter, ob_spatial_advanced_filter_params params, ob_error **error)
| Set the spatial advanced filter params.
ob_filter * | ob_create_spatial_fast_filter (ob_error **error)
| Create a spatial fast filter.
ob_uint8_property_range | ob_spatial_fast_filter_get_size_range (ob_filter *filter, ob_error **error)
| Get the spatial fast filter window size range.
void | ob_spatial_fast_filter_set_filter_params (ob_filter *filter, ob_spatial_fast_filter_params params, ob_error **error)
| Set the spatial fast filter params.
ob_spatial_fast_filter_params | ob_spatial_fast_filter_get_filter_params (ob_filter *filter, ob_error **error)
| Get the spatial fast filter params.
ob_filter * | ob_create_spatial_moderate_filter (ob_error **error)
| Create a spatial moderate filter.
ob_uint16_property_range | ob_spatial_moderate_filter_get_disp_diff_range (ob_filter *filter, ob_error **error)
| Get the spatial moderate filter disp diff range.
ob_uint8_property_range | ob_spatial_moderate_filter_get_magnitude_range (ob_filter *filter, ob_error **error)
| Get the spatial moderate filter magnitude range.
ob_uint8_property_range | ob_spatial_moderate_filter_get_size_range (ob_filter *filter, ob_error **error)
| Get the spatial moderate filter window size range.
ob_spatial_moderate_filter_params | ob_spatial_moderate_filter_get_filter_params (ob_filter *filter, ob_error **error)
| Get the spatial moderate filter params.
void | ob_spatial_moderate_filter_set_filter_params (ob_filter *filter, ob_spatial_moderate_filter_params params, ob_error **error)
| Set the spatial moderate filter params.
ob_filter * | ob_create_noise_removal_filter (ob_error **error)
| Create a noise removal filter.
ob_uint16_property_range | ob_noise_removal_filter_get_disp_diff_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter disp diff range.
ob_int_property_range | ob_noise_removal_filter_get_max_size_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter max size range.
void | ob_noise_removal_filter_set_filter_params (ob_filter *filter, ob_noise_removal_filter_params params, ob_error **error)
| Set the noise removal filter params.
ob_noise_removal_filter_params | ob_noise_removal_filter_get_filter_params (ob_filter *filter, ob_error **error)
| Get the noise removal filter params.
ob_filter * | ob_create_edge_noise_removal_filter (ob_error **error)
| Create a edge noise removal filter.
void | ob_edge_noise_removal_filter_set_filter_params (ob_filter *filter, ob_edge_noise_removal_filter_params params, ob_error **error)
| Set the edge noise removal filter params.
ob_edge_noise_removal_filter_params | ob_edge_noise_removal_filter_get_filter_params (ob_filter *filter, ob_error **error)
| Get the edge noise removal filter params.
ob_uint16_property_range | ob_edge_noise_removal_filter_get_margin_left_th_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter margin left th range.
ob_uint16_property_range | ob_edge_noise_removal_filter_get_margin_right_th_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter margin right th range.
ob_uint16_property_range | ob_edge_noise_removal_filter_get_margin_top_th_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter margin top th range.
ob_uint16_property_range | ob_edge_noise_removal_filter_get_margin_bottom_th_range (ob_filter *filter, ob_error **error)
| Get the noise removal filter margin bottom th range.
ob_filter * | ob_create_decimation_filter (ob_error **error)
| Create a decimation filter.
ob_uint8_property_range | ob_decimation_filter_get_scale_range (ob_filter *filter, ob_error **error)
| Get the decimation filter scale range.
void | ob_decimation_filter_set_scale_value (ob_filter *filter, uint8_t value, ob_error **error)
| Set the decimation filter scale value.
uint8_t | ob_decimation_filter_get_scale_value (ob_filter *filter, ob_error **error)
| Get the decimation filter scale value.
ob_filter * | ob_create_threshold_filter (ob_error **error)
| Create a threshold filter.
ob_int_property_range | ob_threshold_filter_get_min_range (ob_filter *filter, ob_error **error)
| Get the threshold filter min range.
ob_int_property_range | ob_threshold_filter_get_max_range (ob_filter *filter, ob_error **error)
| Get the threshold filter max range.
bool | ob_threshold_filter_set_scale_value (ob_filter *filter, uint16_t min, uint16_t max, ob_error **error)
| Set the threshold filter scale range.
ob_filter * | ob_create_sequenceId_filter (ob_error **error)
| Create a SequenceId filter.
void | ob_sequence_id_filter_select_sequence_id (ob_filter *filter, int sequence_id, ob_error **error)
| Set the sequence id filter select sequence id.
int | ob_sequence_id_filter_get_sequence_id (ob_filter *filter, ob_error **error)
| Get the current sequence id.
ob_sequence_id_item * | ob_sequence_id_filter_get_sequence_id_list (ob_filter *filter, ob_error **error)
| Get the current sequence id list.
int | ob_sequence_id_filter_get_sequence_id_list_size (ob_filter *filter, ob_error **error)
| Get the current sequence id list size.
ob_filter * | ob_create_hdr_merge (ob_error **error)
| Create a hdr merge.
ob_filter * | ob_create_align (ob_error **error, ob_stream_type align_to_stream)
| Create a align.
ob_stream_type | ob_align_get_to_stream_type (ob_filter *filter, ob_error **error)
| Get the algin stream type.
ob_filter * | ob_create_disparity_transform (ob_error **error, bool depth_to_disparity)
| Create a disparity transform.
void | ob_filter_reset (ob_filter *filter, ob_error **error)
| Reset the filter, clears the cache, and resets the state. If the asynchronous interface is used, the processing thread will also be stopped and the pending cache frames will be cleared.
ob_frame * | ob_filter_process (ob_filter *filter, ob_frame *frame, ob_error **error)
| Process the frame (synchronous interface).
void | ob_filter_enable (ob_filter *filter, bool enable, ob_error **error)
| Enable the frame post processing.
bool | ob_filter_is_enable (ob_filter *filter, ob_error **error)
| Get the enable status of the frame post processing.
void | ob_filter_set_callback (ob_filter *filter, ob_filter_callback callback, void *user_data, ob_error **error)
| Set the processing result callback function for the filter (asynchronous callback interface).
void | ob_filter_push_frame (ob_filter *filter, ob_frame *frame, ob_error **error)
| Push the frame into the pending cache for the filter (asynchronous callback interface).
void | ob_delete_filter (ob_filter *filter, ob_error **error)
| Delete the filter.

## Detailed Description

The processing unit of the SDK can perform point cloud generation, format conversion and other functions.

Definition in file Filter.h.

## Function Documentation

## ◆ ob_create_pointcloud_filter()

ob_filter * ob_create_pointcloud_filter | ( | ob_error ** | error | ) |

Create a PointCloud Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A pointcloud_filter object.

## ◆ ob_pointcloud_filter_set_camera_param()

void ob_pointcloud_filter_set_camera_param | ( | ob_filter * | filter,
|  | ob_camera_param | param,
|  | ob_error ** | error
| ) |  |

Set the camera parameters for the PointCloud Filter.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | param | Camera parameters.
  [out] | error | Log error messages.

## ◆ ob_pointcloud_filter_set_point_format()

void ob_pointcloud_filter_set_point_format | ( | ob_filter * | filter,
|  | ob_format | type,
|  | ob_error ** | error
| ) |  |

Set the point cloud type parameters for the PointCloud Filter.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | type | Point cloud type: depth point cloud or RGBD point cloud.
  [out] | error | Log error messages.

## ◆ ob_pointcloud_filter_set_frame_align_state()

void ob_pointcloud_filter_set_frame_align_state | ( | ob_filter * | filter,
|  | bool | state,
|  | ob_error ** | error
| ) |  |

Set the alignment state of the frames that will be input to produce the point cloud.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | state | Alignment status, True: aligned; False: unaligned.
  [out] | error | Log error messages.

## ◆ ob_pointcloud_filter_set_position_data_scale()

void ob_pointcloud_filter_set_position_data_scale | ( | ob_filter * | filter,
|  | float | scale,
|  | ob_error ** | error
| ) |  |

Set the point cloud data scaling factor.

Attention
  Calling this function to set the scale will change the point coordinate scaling factor of the output point cloud frame: posScale = posScale / scale. The point coordinate scaling factor for the output point cloud frame can be obtained via the ob_points_frame_get_position_value_scale function.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | scale | Set the point cloud coordinate data zoom factor.
  [out] | error | Log error messages.

## ◆ ob_pointcloud_filter_set_color_data_normalization()

void ob_pointcloud_filter_set_color_data_normalization | ( | ob_filter * | filter,
|  | bool | state,
|  | ob_error ** | error
| ) |  |

Set the point cloud color data normalization.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | state | Sets whether the point cloud color data is normalized.
  [out] | error | Log error messages.

## ◆ ob_pointcloud_filter_set_coordinate_system()

void ob_pointcloud_filter_set_coordinate_system | ( | ob_filter * | filter,
|  | ob_coordinate_system_type | type,
|  | ob_error ** | error
| ) |  |

Set the point cloud coordinate system.

Parameters

  [in] | filter | A pointcloud_filter object.
  [in] | type | Coordinate system type.
  [out] | error | Log error messages.

## ◆ ob_create_format_convert_filter()

ob_filter * ob_create_format_convert_filter | ( | ob_error ** | error | ) |

Create a format convert Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A format_convert object.

## ◆ ob_format_convert_filter_set_format()

void ob_format_convert_filter_set_format | ( | ob_filter * | filter,
|  | ob_convert_format | type,
|  | ob_error ** | error
| ) |  |

Set the type of format conversion for the format convert Filter.

Parameters

  [in] | filter | A format convert filter object.
  [in] | type | Format conversion type.
  [out] | error | Log error messages.

## ◆ ob_create_compression_filter()

ob_filter * ob_create_compression_filter | ( | ob_error ** | error | ) |

Create a compression Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_compression_filter_set_compression_params()

void ob_compression_filter_set_compression_params | ( | ob_filter * | filter,
|  | ob_compression_mode | mode,
|  | void * | params,
|  | ob_error ** | error
| ) |  |

Set the compression parameters for the compression Filter.

Parameters

  [in] | filter | A compression_filter object.
  [in] | mode | Compression mode OB_COMPRESSION_LOSSLESS or OB_COMPRESSION_LOSSY.
  [in] | params | Compression params, struct ob_compression_params, when mode is OB_COMPRESSION_LOSSLESS, params is NULL.
  [out] | error | Log error messages.

## ◆ ob_create_decompression_filter()

ob_filter * ob_create_decompression_filter | ( | ob_error ** | error | ) |

Create a decompression Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A decompression Filter object.

## ◆ ob_create_holefilling_filter()

ob_filter * ob_create_holefilling_filter | ( | ob_error ** | error | ) |

Create a HoleFilling Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_holefilling_filter_set_mode()

void ob_holefilling_filter_set_mode | ( | ob_filter * | filter,
|  | ob_hole_filling_mode | mode,
|  | ob_error ** | error
| ) |  |

Set the HoleFillingFilter mode.

Parameters

  [in] | filter | A holefilling_filter object.
  [in] | mode | holefilling mode OB_HOLE_FILL_TOP,OB_HOLE_FILL_NEAREST or OB_HOLE_FILL_FAREST.
  [out] | error | Log error messages.

## ◆ ob_holefilling_filter_get_mode()

ob_hole_filling_mode ob_holefilling_filter_get_mode | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the HoleFillingFilter mode.

Parameters

  [in] | filter | A holefilling_filter object.
  [out] | error | Log error messages.

Returns
  ob_hole_filling_mode

## ◆ ob_create_temporal_filter()

ob_filter * ob_create_temporal_filter | ( | ob_error ** | error | ) |

Create a Temporal Filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_temporal_filter_get_diffscale_range()

ob_float_property_range ob_temporal_filter_get_diffscale_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the TemporalFilter diffscale range.

Parameters

  [in] | filter | A temporal_filter object.
  [out] | error | Log error messages.

Returns
  ob_float_property_range the value of property range.

## ◆ ob_temporal_filter_set_diffscale_value()

void ob_temporal_filter_set_diffscale_value | ( | ob_filter * | filter,
|  | float | value,
|  | ob_error ** | error
| ) |  |

Set the TemporalFilter diffscale value.

Parameters

  [in] | filter | A temporal_filter object.
  [in] | value | diffscale value.
  [out] | error | Log error messages.

## ◆ ob_temporal_filter_get_weight_range()

ob_float_property_range ob_temporal_filter_get_weight_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the TemporalFilter weight range.

Parameters

  [in] | filter | A temporal filter object.
  [out] | error | Log error messages.

## ◆ ob_temporal_filter_set_weight_value()

void ob_temporal_filter_set_weight_value | ( | ob_filter * | filter,
|  | float | value,
|  | ob_error ** | error
| ) |  |

Set the TemporalFilter weight range.

Parameters

  [in] | filter | A temporal_filter object.
  [in] | value | weight value.
  [out] | error | Log error messages.

## ◆ ob_create_spatial_advanced_filter()

ob_filter * ob_create_spatial_advanced_filter | ( | ob_error ** | error | ) |

Create a spatial advanced filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_spatial_advanced_filter_get_alpha_range()

ob_float_property_range ob_spatial_advanced_filter_get_alpha_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial advanced filter alpha range.

Parameters

  [in] | filter | A spatial advanced filter object.
  [out] | error | Log error messages.

Returns
  ob_float_property_range the alpha value of property range.

## ◆ ob_spatial_advanced_filter_get_disp_diff_range()

ob_uint16_property_range ob_spatial_advanced_filter_get_disp_diff_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial advanced filter disp diff range.

Parameters

  [in] | filter | A spatial advanced filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the dispdiff value of property range.

## ◆ ob_spatial_advanced_filter_get_radius_range()

ob_uint16_property_range ob_spatial_advanced_filter_get_radius_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial advanced filter radius range.

Parameters

  [in] | filter | A spatial advanced filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the radius value of property range.

## ◆ ob_spatial_advanced_filter_get_magnitude_range()

ob_int_property_range ob_spatial_advanced_filter_get_magnitude_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial advanced filter magnitude range.

Parameters

  [in] | filter | A spatial advanced filter object.
  [out] | error | Log error messages.

Returns
  ob_int_property_range the magnitude value of property range.

## ◆ ob_spatial_advanced_filter_get_filter_params()

ob_spatial_advanced_filter_params ob_spatial_advanced_filter_get_filter_params | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial advanced filter params.

Parameters

  [in] | filter | A spatial advanced filter object.
  [out] | error | Log error messages.

Returns
  ob_spatial_advanced_filter_params.

## ◆ ob_spatial_advanced_filter_set_filter_params()

void ob_spatial_advanced_filter_set_filter_params | ( | ob_filter * | filter,
|  | ob_spatial_advanced_filter_params | params,
|  | ob_error ** | error
| ) |  |

Set the spatial advanced filter params.

Parameters

  [in] | filter | A spatial advanced filter object.
  [in] | params | ob_spatial_advanced_filter_params.
  [out] | error | Log error messages.

## ◆ ob_create_spatial_fast_filter()

ob_filter * ob_create_spatial_fast_filter | ( | ob_error ** | error | ) |

Create a spatial fast filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_spatial_fast_filter_get_size_range()

ob_uint8_property_range ob_spatial_fast_filter_get_size_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial fast filter window size range.

Parameters

  [in] | filter | A spatial fast filter object.
  [out] | error | Log error messages.

Returns
  ob_uint8_property_range the filter window size value of property range.

## ◆ ob_spatial_fast_filter_set_filter_params()

void ob_spatial_fast_filter_set_filter_params | ( | ob_filter * | filter,
|  | ob_spatial_fast_filter_params | params,
|  | ob_error ** | error
| ) |  |

Set the spatial fast filter params.

Parameters

  [in] | filter | A spatial fast filter object.
  [in] | params | ob_spatial_fast_filter_params.
  [out] | error | Log error messages.

## ◆ ob_spatial_fast_filter_get_filter_params()

ob_spatial_fast_filter_params ob_spatial_fast_filter_get_filter_params | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial fast filter params.

Parameters

  [in] | filter | A spatial fast filter object.
  [out] | error | Log error messages.

Returns
  ob_spatial_fast_filter_params.

## ◆ ob_create_spatial_moderate_filter()

ob_filter * ob_create_spatial_moderate_filter | ( | ob_error ** | error | ) |

Create a spatial moderate filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_spatial_moderate_filter_get_disp_diff_range()

ob_uint16_property_range ob_spatial_moderate_filter_get_disp_diff_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial moderate filter disp diff range.

Parameters

  [in] | filter | A spatial moderate filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the dispdiff value of property range.

## ◆ ob_spatial_moderate_filter_get_magnitude_range()

ob_uint8_property_range ob_spatial_moderate_filter_get_magnitude_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial moderate filter magnitude range.

Parameters

  [in] | filter | A spatial moderate filter object.
  [out] | error | Log error messages.

Returns
  ob_uint8_property_range the magnitude value of property range.

## ◆ ob_spatial_moderate_filter_get_size_range()

ob_uint8_property_range ob_spatial_moderate_filter_get_size_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial moderate filter window size range.

Parameters

  [in] | filter | A spatial moderate filter object.
  [out] | error | Log error messages.

Returns
  ob_uint8_property_range the filter window size value of property range.

## ◆ ob_spatial_moderate_filter_get_filter_params()

ob_spatial_moderate_filter_params ob_spatial_moderate_filter_get_filter_params | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the spatial moderate filter params.

Parameters

  [in] | filter | A spatial moderate filter object.
  [out] | error | Log error messages.

Returns
  ob_spatial_moderate_filter_params.

## ◆ ob_spatial_moderate_filter_set_filter_params()

void ob_spatial_moderate_filter_set_filter_params | ( | ob_filter * | filter,
|  | ob_spatial_moderate_filter_params | params,
|  | ob_error ** | error
| ) |  |

Set the spatial moderate filter params.

Parameters

  [in] | filter | A spatial moderate filter object.
  [in] | params | ob_spatial_moderate_filter_params.
  [out] | error | Log error messages.

## ◆ ob_create_noise_removal_filter()

ob_filter * ob_create_noise_removal_filter | ( | ob_error ** | error | ) |

Create a noise removal filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_noise_removal_filter_get_disp_diff_range()

ob_uint16_property_range ob_noise_removal_filter_get_disp_diff_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter disp diff range.

Parameters

  [in] | filter | A noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the disp_diff value of property range.

## ◆ ob_noise_removal_filter_get_max_size_range()

ob_int_property_range ob_noise_removal_filter_get_max_size_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter max size range.

Parameters

  [in] | filter | noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_int_property_range the _max_size value of property range.

## ◆ ob_noise_removal_filter_set_filter_params()

void ob_noise_removal_filter_set_filter_params | ( | ob_filter * | filter,
|  | ob_noise_removal_filter_params | params,
|  | ob_error ** | error
| ) |  |

Set the noise removal filter params.

Parameters

  [in] | filter | noise removal filter object.
  [in] | params | ob_noise_removal_filter_params.
  [out] | error | Log error messages.

## ◆ ob_noise_removal_filter_get_filter_params()

ob_noise_removal_filter_params ob_noise_removal_filter_get_filter_params | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter params.

Parameters

  [in] | filter | noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_noise_removal_filter_params.

## ◆ ob_create_edge_noise_removal_filter()

ob_filter * ob_create_edge_noise_removal_filter | ( | ob_error ** | error | ) |

Create a edge noise removal filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_edge_noise_removal_filter_set_filter_params()

void ob_edge_noise_removal_filter_set_filter_params | ( | ob_filter * | filter,
|  | ob_edge_noise_removal_filter_params | params,
|  | ob_error ** | error
| ) |  |

Set the edge noise removal filter params.

Parameters

  [in] | filter | edge noise removal filter object.
  [in] | params | ob_edge_noise_removal_filter_params.
  [out] | error | Log error messages.

## ◆ ob_edge_noise_removal_filter_get_filter_params()

ob_edge_noise_removal_filter_params ob_edge_noise_removal_filter_get_filter_params | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the edge noise removal filter params.

Parameters

  [in] | filter | edge noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_edge_noise_removal_filter_params.

## ◆ ob_edge_noise_removal_filter_get_margin_left_th_range()

ob_uint16_property_range ob_edge_noise_removal_filter_get_margin_left_th_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter margin left th range.

Parameters

  [in] | filter | A edge noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the margin_left_th value of property range.

## ◆ ob_edge_noise_removal_filter_get_margin_right_th_range()

ob_uint16_property_range ob_edge_noise_removal_filter_get_margin_right_th_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter margin right th range.

Parameters

  [in] | filter | A edge noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the margin_right_th value of property range.

## ◆ ob_edge_noise_removal_filter_get_margin_top_th_range()

ob_uint16_property_range ob_edge_noise_removal_filter_get_margin_top_th_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter margin top th range.

Parameters

  [in] | filter | A edge noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the margin_top_th value of property range.

## ◆ ob_edge_noise_removal_filter_get_margin_bottom_th_range()

ob_uint16_property_range ob_edge_noise_removal_filter_get_margin_bottom_th_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the noise removal filter margin bottom th range.

Parameters

  [in] | filter | A edge noise removal filter object.
  [out] | error | Log error messages.

Returns
  ob_uint16_property_range the margin_bottom_th value of property range.

## ◆ ob_create_decimation_filter()

ob_filter * ob_create_decimation_filter | ( | ob_error ** | error | ) |

Create a decimation filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_decimation_filter_get_scale_range()

ob_uint8_property_range ob_decimation_filter_get_scale_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the decimation filter scale range.

Parameters

  [in] | filter | A decimation filter object.
  [out] | error | Log error messages.

## ◆ ob_decimation_filter_set_scale_value()

void ob_decimation_filter_set_scale_value | ( | ob_filter * | filter,
|  | uint8_t | value,
|  | ob_error ** | error
| ) |  |

Set the decimation filter scale value.

Parameters

  [in] | filter | A decimation object.
  [in] | value | decimation filter scale value.
  [out] | error | Log error messages.

## ◆ ob_decimation_filter_get_scale_value()

uint8_t ob_decimation_filter_get_scale_value | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the decimation filter scale value.

Parameters

  [in] | filter | A decimation object.
  [out] | error | Log error messages.

Returns
  decimation filter scale value.

## ◆ ob_create_threshold_filter()

ob_filter * ob_create_threshold_filter | ( | ob_error ** | error | ) |

Create a threshold filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_threshold_filter_get_min_range()

ob_int_property_range ob_threshold_filter_get_min_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the threshold filter min range.

Parameters

  [in] | filter | A threshold filter object.
  [out] | error | Log error messages.

## ◆ ob_threshold_filter_get_max_range()

ob_int_property_range ob_threshold_filter_get_max_range | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the threshold filter max range.

Parameters

  [in] | filter | A threshold filter object.
  [out] | error | Log error messages.

## ◆ ob_threshold_filter_set_scale_value()

bool ob_threshold_filter_set_scale_value | ( | ob_filter * | filter,
|  | uint16_t | min,
|  | uint16_t | max,
|  | ob_error ** | error
| ) |  |

Set the threshold filter scale range.

Parameters

  [in] | filter | A threshold object.
  [in] | min | threshold filter scale min value.
  [in] | max | threshold filter scale max value.
  [out] | error | Log error messages.

## ◆ ob_create_sequenceId_filter()

ob_filter * ob_create_sequenceId_filter | ( | ob_error ** | error | ) |

Create a SequenceId filter.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_sequence_id_filter_select_sequence_id()

void ob_sequence_id_filter_select_sequence_id | ( | ob_filter * | filter,
|  | int | sequence_id,
|  | ob_error ** | error
| ) |  |

Set the sequence id filter select sequence id.

Parameters

  [in] | filter | A sequence id object.
  [in] | sequence_id | sequence id to pass the filter.
  [out] | error | Log error messages.

## ◆ ob_sequence_id_filter_get_sequence_id()

int ob_sequence_id_filter_get_sequence_id | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the current sequence id.

Parameters

  [in] | filter | A sequence id object.
  [out] | error | Log error messages.

Returns
  sequence id to pass the filter.

## ◆ ob_sequence_id_filter_get_sequence_id_list()

ob_sequence_id_item * ob_sequence_id_filter_get_sequence_id_list | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the current sequence id list.

Parameters

  [in] | filter | A sequence id object.
  [out] | error | Log error messages.

## ◆ ob_sequence_id_filter_get_sequence_id_list_size()

int ob_sequence_id_filter_get_sequence_id_list_size | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the current sequence id list size.

Parameters

  [in] | filter | A sequence id object.
  [out] | error | Log error messages.

## ◆ ob_create_hdr_merge()

ob_filter * ob_create_hdr_merge | ( | ob_error ** | error | ) |

Create a hdr merge.

Parameters

  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_create_align()

ob_filter * ob_create_align | ( | ob_error ** | error,
|  | ob_stream_type | align_to_stream
| ) |  |

Create a align.

Parameters

  [in] | align_to_stream | ob_stream_type.
  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_align_get_to_stream_type()

ob_stream_type ob_align_get_to_stream_type | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the algin stream type.

Parameters

  [in] | filter | A align object.
  [out] | error | Log error messages.

Returns
  A ob_stream_type.

## ◆ ob_create_disparity_transform()

ob_filter * ob_create_disparity_transform | ( | ob_error ** | error,
|  | bool | depth_to_disparity
| ) |  |

Create a disparity transform.

Parameters

  [in] | depth_to_disparity | disparity to depth, depth to disparity Conversion.
  [out] | error | Log error messages.

Returns
  A depth_filter object.

## ◆ ob_filter_reset()

void ob_filter_reset | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Reset the filter, clears the cache, and resets the state. If the asynchronous interface is used, the processing thread will also be stopped and the pending cache frames will be cleared.

Parameters

  [in] | filter | A filter object.
  [out] | error | Log error messages.

## ◆ ob_filter_process()

ob_frame * ob_filter_process | ( | ob_filter * | filter,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

Process the frame (synchronous interface).

Parameters

  [in] | filter | A filter object.
  [in] | frame | Pointer to the frame object to be processed.
  [out] | error | Log error messages.

Returns
  The frame object processed by the filter.

## ◆ ob_filter_enable()

void ob_filter_enable | ( | ob_filter * | filter,
|  | bool | enable,
|  | ob_error ** | error
| ) |  |

Enable the frame post processing.

Parameters

  [in] | filter | A filter object.
  [in] | enable | enable status
  [out] | error | Log error messages.

## ◆ ob_filter_is_enable()

bool ob_filter_is_enable | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the enable status of the frame post processing.

Parameters

  [in] | filter | A filter object.
  [out] | error | Log error messages.

Returns
  The post processing filter status.

## ◆ ob_filter_set_callback()

void ob_filter_set_callback | ( | ob_filter * | filter,
|  | ob_filter_callback | callback,
|  | void * | user_data,
|  | ob_error ** | error
| ) |  |

Set the processing result callback function for the filter (asynchronous callback interface).

Parameters

  [in] | filter | A filter object.
  [in] | callback | Callback function.
  [in] | user_data | Arbitrary user data pointer can be passed in and returned from the callback.
  [out] | error | Log error messages.

## ◆ ob_filter_push_frame()

void ob_filter_push_frame | ( | ob_filter * | filter,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

Push the frame into the pending cache for the filter (asynchronous callback interface).

Parameters

  [in] | filter | A filter object.
  [in] | frame | Pointer to the frame object to be processed.
  [out] | error | Log error messages.

## ◆ ob_delete_filter()

void ob_delete_filter | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Delete the filter.

Parameters

  [in] | filter | A filter object.
  [out] | error | Log error messages.